#! /bin/bash
#
# This script is intended to be run in the RightLink container at boot time in order to create
# a systemd unit and then launch the actual RightLink service container.
# The recommended invocation is:
# 
# docker run --name install-rightlink \
#   -v /var/run/dbus:/var/run/dbus \
#   -v /run/systemd:/run/systemd \
#   -v /etc/systemd/system:/etc/systemd/system \
#   rightscale/rightlink:10.6.4 /install.sh

# determine where RightLink is going to listen (the host's interface on the docker bridge)
export hostip=$(ip route show 0.0.0.0/0 | grep -Eo 'via \S+' | awk '{ print $2 }')

sed -e "s/172.17.42.1/$hostip/" </root/rightlink.service >/etc/systemd/system/rightlink.service
systemctl enable /etc/systemd/system/rightlink.service
systemctl start rightlink.service
