#!/bin/bash -e 

BASE_DIR=`dirname $0`

if which NetworkManager >/dev/null 2>&1; then
  cat <<-EOF
NetworkManager is installed and incompatible with RightScale network
configuration scripts for RCA-V. Please either 1. Uninstall NetworkManager then
rerun the RightLink installation script or 2. Avoid installation of these
scripts by passing '-n' to installation script. For additional information, see
http://docs.rightscale.com/rl10/reference/rl10_rcav.html
EOF
  exit 1
fi

echo "Installing rightcale_network assets to /usr/local/share/rightnetwork"
mkdir -p /usr/local/share/rightnetwork
cp -f $BASE_DIR/../README.md /usr/local/share/rightnetwork
cp -f $BASE_DIR/rightscale* /usr/local/share/rightnetwork
cp -f $BASE_DIR/*uninstall* /usr/local/share/rightnetwork
echo "Installing rightnetwork.sh script into /usr/local/bin"
cp -f $BASE_DIR/../bin/rightnetwork.sh /usr/local/bin/rightnetwork.sh
chmod a+x /usr/local/bin/rightnetwork.sh

echo "Enabling rightcale_network init scripts"
chmod a+x $BASE_DIR/post-install.sh
$BASE_DIR/post-install.sh
