#!/bin/bash

if [ "${1:-0}" == "0" -o "$1" == "remove" ]; then

  # systemctl exists in conjunction with the legacy chkconfig on CentOS7
  if which systemctl >/dev/null 2>&1; then
    systemctl disable rightscale_network
    systemctl stop rightscale_network
  elif which update-rc.d >/dev/null 2>&1; then
    update-rc.d -f rightscale_network remove || true
  elif which chkconfig >/dev/null 2>&1; then
    chkconfig --del rightscale_network || true
  fi
  rm -f /etc/init/rightscale_network.conf
  rm -f /etc/init/rightscale_network-wait.conf
  rm -f /etc/systemd/system/rightscale_network.service
  rm -f /etc/init.d/rightscale_network
  rm -f /etc/dhcp/dhclient.d/rightscale_routes.sh
  rm -f /etc/dhcp/dhclient-exit-hooks.d/rightscale_routes
  rm -f /etc/cloud/cloud.cfg.d/99-rightscale-disable-network-config.cfg

  if which semodule >/dev/null 2>&1; then
    semodule -r rightscale_routes || true
  fi
fi

exit 0
