#!/bin/bash

# This file is installed by the rightscale network agent, which sets up network
# interfaces for RightScale Cloud Appliance for vSphere (RCA-V)
# 
# It's purpose is to fix up the default gateway route if there are multiple 
# network interface, or add routes to the dhcp interface after it comes up.
#
# It is meant to be placed in /etc/dhcp/dhclient.d and made executable for those
# versions of dhclient that support it. See:
# https://github.com/greearb/dhcp-ct/blob/master/README.dhclient.d

rightscale_routes_log() {
  sed "s/^/$(date) -- /" | logger -st RightScale 2>&1 | tee -a /var/log/rightscale_network.log
}

rightscale_routes_config() {
  if [ ! -e /var/run/rightscale_routes_finished ]; then
    /usr/local/bin/rightnetwork.sh --routes  2>&1 | rightscale_routes_log
    touch /var/run/rightscale_routes_finished
  fi
}

rightscale_routes_restore() {
  rm -f /var/run/rightscale_routes_finished
}
